<?php
$article_class = 'blog-post row blog m0';
?>
<div id="post-<?php the_ID(); ?>" <?php post_class($article_class); ?>>

    <div class="media text-center">
        <h4 class="blog_title"><?php _e( 'Nothing Found', 'themeton' ); ?></h4>

        <?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

            <p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'themeton' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

        <?php elseif ( is_search() ) : ?>

            <p><?php _e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'themeton' ); ?></p>
            <?php get_search_form(); ?>

        <?php else : ?>

            <p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'themeton' ); ?></p>
            <?php get_search_form(); ?>

        <?php endif; ?>
    
    </div>

</div>