<?php


class WPBakeryShortCode_Process extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'extra_class' => ""
        ), $atts));

        $result = '<div class="successive_process">
                        <div class="successive_process_inner">
                            <div class="container">
                                <div class="row">
                                    '.do_shortcode($content).'
                                </div>
                            </div>
                        </div>
                    </div>';

        return $result;
    }
}


vc_map( array(
    "name" => __("Process", "themeton"),
    "description" => __("Work process", 'themeton'),
    "show_settings_on_create" => true,
    'is_container' => true,
    "content_element" => true,
    "as_parent" => array("only" => "process_item"),
    "base" => "process",
    "icon" => "icon-wpb-themeton",
    "category" => __('Themeton', 'themeton'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'vc_extend'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
        )
    ),
    "js_view" => 'VcColumnView'
));