<?php

class WPBakeryShortCode_Tt_Quote extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'extra_class' => ""
        ), $atts));

        $result = '<div class="row tweets '. esc_attr($extra_class) .'">
                        <div class="container">
                            <div class="row icon"><i class="fa fa-comments"></i></div>
                            <div class="flexslider tweet_slider">
                                <ul class="slides">'. do_shortcode($content) .'</ul>
                            </div>
                        </div>
                    </div>';

        return $result;
    }
}



vc_map( array(
    "name" => __("Blockquote", "themeton"),
    "description" => __("Testimonials", 'themeton'),
    "show_settings_on_create" => false,
    'is_container' => true,
    "content_element" => true,
    "as_parent" => array("only" => "tt_quote_item"),
    "base" => "tt_quote",
    "icon" => "icon-wpb-themeton",
    "category" => __('Themeton', 'themeton'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'vc_extend'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
        )
    ),
    "js_view" => 'VcColumnView'
));