<?php

class WPBakeryShortCode_Register_box extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "text" => 'Just Click Now!',
            "description" => 'Get Your Free SEOWAVE Analysis Quote.',
            "button_text" => 'Register Now!',
            "button_link"     => "#!",
            'extra_class' => ''
        ), $atts ) );

        $result = "<div class='register_link $extra_class'>
                        <h5>$description</h5>
                        <a href='$button_link' class='borderred_link'><span>$button_text</span></a>
                        <p class='m0'>$text</p>
                    </div>";

        return $result;
    }
}

vc_map( array(
            "name" => __("Banner Box", 'themeton'),
            "description" => __("", 'themeton'),
            "base" => "register_box",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "text",
                    "heading" => __("Text", 'themeton'),
                    "value" => 'Just Click Now!',
                    "holder" => "div"
                ),
                array(
                    'type' => 'textarea',
                    "param_name" => "description",
                    "heading" => __("Description", 'themeton'),
                    "value" => 'Get Your Free SEOWAVE Analysis Quote'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_text",
                    "heading" => __("Button Text", 'themeton'),
                    "value" => 'Register Now!'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_link",
                    "heading" => __("Button Link", 'themeton'),
                    "value" => '#!'
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );