<?php

class WPBakeryShortCode_Clients_Item extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'image' => ''
        ), $atts));

        $image = wp_get_attachment_image($image);
            
            $result = "<div class='item'>$image</div>";
        
        return $result;
    }
}

vc_map( array(
    "name" => __( 'Client Item', 'themeton' ),
    "description" => __("Client Item", 'themeton'),
    "base" => 'clients_item',
    "icon" => "icon-wpb-themeton",
    "content_element" => true,
    "as_child" => array("only" => "clients"),
    "category" => __('Themeton', 'themeton'),
    'params' => array(
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => __("Image Image", 'themeton'),
            "value" => '',
            "desc" => 'Please prepare your image size because bigger images inappropriate.'
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'vc_extend'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
        )
    )
));