<?php get_header(); ?>
    
    <?php get_template_part("tpl", "page-title"); ?>

    <section class="row page_case_study">
        <nav class="paginations case_study_detail_pagination">
            <div class="container">
                <div class="row">
                    <ul class="pager">
                        <li class="previous"><?php echo TPL::get_prev_post(); ?></li>
                        <li class="next"><?php echo TPL::get_next_post(); ?></li>
                    </ul>
                </div>
            </div>
        </nav>
        <div class="row m0">
            <div class="container">
                <div class="col-sm-12 portfolio-contents">
                    <?php
                    // Start the loop.
                    while ( have_posts() ) : the_post();
                        the_content();
                    endwhile;
                    ?>
                </div>
            </div>
        </div>
        
        <div class="row m0 share_row">
            <div class="container">
                <div class="row">
                    <ul class="list-inline share_buttons">
                        <?php
                            $links = TPL::get_share_links();
                            foreach ($links as $key => $value) {
                                switch( $key ){
                                    case 'facebook':
                                        echo ' <li class="facebook"><a href="'.$value.'"><i class="fa fa-facebook-square"></i>Share</a></li>';
                                        break;
                                    case 'twitter':
                                        echo ' <li class="twitter"><a href="'.$value.'"><i class="fa fa-twitter"></i>Share</a></li>';
                                        break;
                                    case 'googleplus':
                                        echo ' <li class="google-plus"><a href="'.$value.'"><i class="fa fa-google-plus"></i>Share</a></li>';
                                        break;
                                    case 'pinterest':
                                        echo ' <li class="linkedin"><a href="'.$value.'"><i class="fa fa-pinterest"></i>Share</a></li>';
                                        break;
                                }
                            }
                        ?>
                        <li class="comment_i"><a href="#" onclick="window.print();return false;"><i class="fa fa-print"></i>Print</a></li>
                    </ul>
                </div>
            </div>
        </div>

    </section>


<?php get_footer(); ?>